package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class DrpMaterialInquirySupplierQuoteListModel {
   @ApiModelProperty("明细id")
   private Long quoteDetailId;
   @ApiModelProperty("报价批次id")
   private Long batchId;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("货品类别id")
   private Long categoryId;
   @ApiModelProperty("货品类别")
   private String categoryName;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("计量单位")
   private String unitName;
   @ApiModelProperty("报价单价")
   private Integer quotePrice;
   @ApiModelProperty("是否报价(1是2否)")
   private Integer ifQuote;
   @ApiModelProperty("意向中标价")
   private Integer targetPrice;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("说明")
   private String remark;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getQuoteDetailId() {
      return this.quoteDetailId;
   }

   public Long getBatchId() {
      return this.batchId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Integer getQuotePrice() {
      return this.quotePrice;
   }

   public Integer getIfQuote() {
      return this.ifQuote;
   }

   public Integer getTargetPrice() {
      return this.targetPrice;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setQuoteDetailId(final Long quoteDetailId) {
      this.quoteDetailId = quoteDetailId;
   }

   public void setBatchId(final Long batchId) {
      this.batchId = batchId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setQuotePrice(final Integer quotePrice) {
      this.quotePrice = quotePrice;
   }

   public void setIfQuote(final Integer ifQuote) {
      this.ifQuote = ifQuote;
   }

   public void setTargetPrice(final Integer targetPrice) {
      this.targetPrice = targetPrice;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }
}
